Create Export
curl --request POST \
--url https://{instance}.domo.com/api/query/v1/export/{DATASOURCE_ID} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"awsAccessKey": "<AWS_KEY>",
"awsAccessSecret": "<AWS_SECRET>",
"bucket": "<BUCKET>",
"path": "<PATH>",
"region\"": "<REGION>",
"queryRequest": {
"includeBOM": true,
"useCache": true,
"query": {
"columns": [
{
"column": "Customer ID",
"exprType": "COLUMN"
},
{
"column": "Date Filled",
"exprType": "COLUMN"
}
],
"groupByColumns\"": [],
"orderByColumns\"": []
}
}
}
'import requests
url = "https://{instance}.domo.com/api/query/v1/export/{DATASOURCE_ID}"
payload = {
"awsAccessKey": "<AWS_KEY>",
"awsAccessSecret": "<AWS_SECRET>",
"bucket": "<BUCKET>",
"path": "<PATH>",
"region"": "<REGION>",
"queryRequest": {
"includeBOM": True,
"useCache": True,
"query": {
"columns": [
{
"column": "Customer ID",
"exprType": "COLUMN"
},
{
"column": "Date Filled",
"exprType": "COLUMN"
}
],
"groupByColumns"": [],
"orderByColumns"": []
}
}
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
awsAccessKey: '<AWS_KEY>',
awsAccessSecret: '<AWS_SECRET>',
bucket: '<BUCKET>',
path: '<PATH>',
'region"': '<REGION>',
queryRequest: {
includeBOM: true,
useCache: true,
query: {
columns: [
{column: 'Customer ID', exprType: 'COLUMN'},
{column: 'Date Filled', exprType: 'COLUMN'}
],
'groupByColumns"': [],
'orderByColumns"': []
}
}
})
};
fetch('https://{instance}.domo.com/api/query/v1/export/{DATASOURCE_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bucket": "<string>",
"compression": "none",
"errorCode": "<string>",
"exportFormat": "csv",
"exportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exportStatus": "success",
"finished": "2023-11-07T05:31:56Z",
"message": "<string>",
"started": "2023-11-07T05:31:56Z",
"urlRowCountMap": {
"additionalProp1": 0,
"additionalProp2": 0
}
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}{
"errorCode": "<string>",
"message": "<string>"
}Export to S3 API
Create Export
Initiates an export of a DataSet to an S3 bucket (asynchronous). Only one active export can run per DataSet at a time. Returns previous export info if data hasn’t changed.
POST
/
api
/
query
/
v1
/
export
/
{DATASOURCE_ID}
Create Export
Authorizations
Domo Developer Token for authentication.
Path Parameters
The ID of the Dataset.
Example:
"aa7d9422-9abe-4581-bbf3-4a8cb5d3fc25"
Body
application/json
Response
OK. Export initiated or previous export info returned.
Represents the status of a dataset export.
Example:
"none"
Example:
"csv"
Available options:
none, success, running, failed Example:
"success"
Show child attributes
Show child attributes
Example:
{
"additionalProp1": 0,
"additionalProp2": 0
}
⌘I